Get reward redemption status
curl --request GET \
--url https://{brand}.extole.io/api/v4/me/rewards/status \
--header 'Authorization: <api-key>'import requests
url = "https://{brand}.extole.io/api/v4/me/rewards/status"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{brand}.extole.io/api/v4/me/rewards/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quality_results": [
{
"quality_rule_results": [
{
"rule_name": "<string>",
"score": "ERROR"
}
],
"score": "ERROR"
}
],
"reward": {
"action_id": "<string>",
"campaign_id": "<string>",
"cause_event_id": "<string>",
"container": "<string>",
"created_at": "2025-10-24T02:00:00-07:00",
"data": {},
"email": "<string>",
"expires_at": "2025-10-24T02:00:00-07:00",
"face_value": 123,
"face_value_type": "AUD",
"journey_key": {
"name": "<string>",
"value": "<string>"
},
"journey_name": "<string>",
"partner_reward_id": "<string>",
"partner_reward_key_type": "COUPON",
"partner_reward_supplier_id": "<string>",
"partner_user_id": "<string>",
"person_id": "<string>",
"reward_id": "<string>",
"reward_supplier_id": "<string>",
"root_event_id": "<string>",
"sandbox": "<string>",
"state": "CANCELED"
},
"status": "FAILED"
}Profiles
Get reward redemption status
Returns the current state of a pending or completed reward redemption for the authenticated consumer. Supply exactly one of polling_id (returned by a prior reward claim call), reward_name (the configured reward name), or partner_event_id (the originating partner event identifier). Poll this endpoint until the reward reaches a terminal state.
GET
https://{brand}.extole.io
/
api
/
v4
/
me
/
rewards
/
status
Get reward redemption status
Authorizations
HEADERQUERYCOOKIE
Query Parameters
Polling identifier returned by the reward claim call.
The configured name of the reward to look up.
The partner-supplied event identifier that originated the reward.
Response
Reward redemption status.
Quality evaluation results associated with this reward redemption.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current processing status of the reward redemption (PENDING, SUCCEEDED, or FAILED).
Available options:
FAILED, PENDING, SUCCEEDED 